Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#11951 - obex-data-server

Attached to Project: Arch Linux
Opened by Blazej (blasse) - Friday, 31 October 2008, 13:09 GMT
Last edited by Geoffroy Carrier (gcarrier) - Thursday, 12 February 2009, 01:21 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Geoffroy Carrier (gcarrier)
Architecture All
Severity Medium
Priority Normal
Reported Version None
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Package obex-data-server from extra is compatible only with bluez 3.x. Package obex-data-server from testing is patched to be compatible wit bluez 4.x only. Why not upgrade both to obex-data-server 0.4, that is compatible with both 3.x and 4.x bluez api?
This PKGBUILD should work fine.

pkgname=obex-data-server
pkgver=0.4
pkgrel=0
pkgdesc="obex-data-server is D-Bus service providing high-level OBEX client and$
arch=('i686' 'x86_64')
url="http://wiki.muiline.com/obex-data-server"
license=('GPL')
depends=('dbus-glib>=0.76' 'bluez' 'openobex>=1.3-3')
source=(http://tadas.dailyda.com/software/${pkgname}-${pkgver}.tar.gz)
#md5sums=('5c71d24e8d471cc294d9d47a8f8de971')

build() {
cd "${srcdir}/${pkgname}-${pkgver}"
./configure --prefix=/usr --sysconfdir=/etc || return 1
make || return 1
make DESTDIR="${pkgdir}" install || return 1
}
This task depends upon

Closed by  Geoffroy Carrier (gcarrier)
Thursday, 12 February 2009, 01:21 GMT
Reason for closing:  Fixed
Comment by Jud (judfilm) - Thursday, 04 December 2008, 10:11 GMT
There will be a new Bluetooth Maintainer soon.

Loading...